citeproc-hs-0.3.9: A Citation Style Language implementation in Haskell

Copyright | (c) Andrea Rossato
License | BSD-style (see LICENSE)
Maintainer | Andrea Rossato <andrea.rossato@unitn.it>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

Text.CSL.Test

Description

A module for reading Frank's citeproc-js testsuite.

# Documentation

toTest :: JSValue -> Test

runTS :: [String] -> Int -> FilePath -> IO ()

test :: FilePath -> IO Bool

test' :: Int -> FilePath -> IO Bool

test_ :: Int -> FilePath -> IO Bool

runTest :: Test -> IO (Bool, String)

data Test

Constructors

Test |
Fields testMode :: String testInput :: [Reference] testCSL :: Style testAbbrevs :: [Abbrev] testResult :: String testBibSect :: BibOpts testCitItems :: Maybe Citations testCitations :: Maybe Citations

Instances

Show Test |